Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy
Class WOGroovyShell

    java.lang.Object
      GroovyShell
          wogroovy.WOGroovyShell

public class WOGroovyShell
extends GroovyShell

See Also:
  Serialized Form

Constructor Summary
`WOGroovyShell()`
`WOGroovyShell(Binding binding)`

Method Summary
`Binding` | `binding()`
`Object` | `evaluateWithContentOfFile(String path)`
`Object` | `evaluateWithResourceNamed(String aResourceName, String aFrameworkName, NSArray aLanguageList)`
`void` | `executeWithContentOfFile(File file, NSArray args)`
`void` | `executeWithContentOfFile(String path, NSArray args)`
`void` | `executeWithResourceNamed(String aResourceName, String aFrameworkName, NSArray aLanguageList, NSArray args)`
`void` | `executeWithScript(String scriptText, String fileName, NSArray args)`
`Object` | `executeWithStream(InputStream in, String fileName, NSArray args)`
`Object` | `objectForKey(String key)`
`Object` | `propertyForKey(String key)`
`Script` | `scriptWithContentOfFile(String path)`
`Script` | `scriptWithResourceNamed(String aResourceName, String aFrameworkName, NSArray aLanguageList)`
`void` | `setObjectForKey(Object value, String key)`
`void` | `setPropertyForKey(Object value, String key)`
`static WOGroovyShell` | `shellWithDefaultBinding()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WOGroovyShell

    public WOGroovyShell()

### WOGroovyShell

    public WOGroovyShell(Binding binding)

Method Detail

### shellWithDefaultBinding

    public static WOGroovyShell shellWithDefaultBinding()

### binding

    public Binding binding()

### propertyForKey

    public Object propertyForKey(String key)

### setPropertyForKey

    public void setPropertyForKey(Object value,
                                  String key)

### objectForKey

    public Object objectForKey(String key)

### setObjectForKey

    public void setObjectForKey(Object value,
                                String key)

### evaluateWithResourceNamed

    public Object evaluateWithResourceNamed(String aResourceName,
                                            String aFrameworkName,
                                            NSArray aLanguageList)
                                     throws CompilationFailedException,
                                            IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### evaluateWithContentOfFile

    public Object evaluateWithContentOfFile(String path)
                                     throws CompilationFailedException,
                                            IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### executeWithResourceNamed

    public void executeWithResourceNamed(String aResourceName,
                                         String aFrameworkName,
                                         NSArray aLanguageList,
                                         NSArray args)
                                  throws CompilationFailedException,
                                         IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### executeWithContentOfFile

    public void executeWithContentOfFile(File file,
                                         NSArray args)
                                  throws CompilationFailedException,
                                         IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### executeWithContentOfFile

    public void executeWithContentOfFile(String path,
                                         NSArray args)
                                  throws CompilationFailedException,
                                         IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### executeWithStream

    public Object executeWithStream(InputStream in,
                                    String fileName,
                                    NSArray args)
                             throws CompilationFailedException,
                                    IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### executeWithScript

    public void executeWithScript(String scriptText,
                                  String fileName,
                                  NSArray args)
                           throws CompilationFailedException,
                                  IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### scriptWithResourceNamed

    public Script scriptWithResourceNamed(String aResourceName,
                                          String aFrameworkName,
                                          NSArray aLanguageList)
                                   throws CompilationFailedException,
                                          IOException

  Throws:
    `CompilationFailedException`
    `IOException`

### scriptWithContentOfFile

    public Script scriptWithContentOfFile(String path)
                                   throws CompilationFailedException,
                                          IOException

  Throws:
    `CompilationFailedException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD